function Component()
{
installer.installationFinished.connect(onInstallationFinished);
}

Component.prototype.createOperationsForArchive = function(archive)
{
    component.addOperation("Mkdir", "@HomeDir@/.local/share/applications");
    component.addOperation("Extract", archive, "@TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/qt/6.7.0.10");
}

Component.prototype.createOperations = function() {
    component.createOperations();
    systemIntegration();

}

function systemIntegration() {
        component.addOperation("CreateDesktopEntry",
                               "@HomeDir@/.local/share/applications/QtAssistant-6.7.0.10.desktop",
                               "Version=6.7.0.10\n
                                Type=Application\n
                                Terminal=false\n
                                Exec=bash @TargetDir@/enviroment.sh @TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/qt/6.7.0.10/usr/bin/assistant\n
                                Name=QtAssistant 6.7.0.10\n
                                Icon=@TargetDir@/resource/qt/assistant-128.png\n
                                Categories=Qt;Development;Documentation;");

        component.addOperation("CreateDesktopEntry",
                               "@HomeDir@/.local/share/applications/QtDesigner-6.7.0.10.desktop",
                               "Version=6.7.0.10\n
                                Type=Application\n
                                Terminal=false\n
                                Exec=bash @TargetDir@/enviroment.sh @TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/qt/6.7.0.10/usr/bin/designer\n
                                Name=QtDesigner 6.7.0.10\n
                                Icon=@TargetDir@/resource/qt/designer.png\n
                                Categories=Qt;Development;Documentation;");

        component.addOperation("CreateDesktopEntry",
                               "@HomeDir@/.local/share/applications/QtLinguist-6.7.0.10.desktop",
                               "Version=6.7.0.10\n
                                Type=Application\n
                                Terminal=false\n
                                Exec=bash @TargetDir@/enviroment.sh @TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/qt/6.7.0.10/usr/bin/linguist\n
                                Name=QtLinguist 6.7.0.10\n
                                Icon=@TargetDir@/resource/qt/linguist-128-32.png\n
                                Categories=Qt;Development;Documentation;");

        component.addOperation("CreateDesktopEntry",
                               "@HomeDir@/.local/share/applications/QtQDbusViewer-6.7.0.10.desktop",
                               "Version=6.7.0.10\n
                                Type=Application\n
                                Terminal=false\n
                                Exec=bash @TargetDir@/enviroment.sh @TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/qt/6.7.0.10/usr/bin/qdbusviewer\n
                                Name=QtQDbusViewer 6.7.0.10\n
                                Icon=@TargetDir@/resource/qt/qdbusviewer-128.png\n
                                Categories=Qt;Development;Documentation;");
}

onInstallationFinished = function()
{

}
