function Component()
{
   installer.installationFinished.connect(this, Component.prototype.installationFinished);
   installer.uninstallationStarted.connect(onUninstallationStarted);
}

Component.prototype.createOperationsForArchive = function(archive)
{
    component.addOperation("Mkdir", "@HomeDir@/.local/share/applications");
    component.addOperation("Extract", archive, "@TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/tools/qtcreator/14.0.0.0");
}

Component.prototype.createOperations = function() {
    component.createOperations();
    systemIntegration();
    Component.prototype.installationFinished();
}

function systemIntegration() {
        component.addOperation("CreateDesktopEntry",
                               "@HomeDir@/.local/share/applications/QtCreator-14.0.0.0.desktop",
                               "Version=14.0.0.0\n
                                Type=Application\n
                                Terminal=false\n
                                Exec=bash @TargetDir@/enviroment.sh @TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/tools/qtcreator/14.0.0.0/usr/bin/qtcreator\n
                                Name=Qt Creator 14.0.0.0\n
                                Icon=@TargetDir@/resource/qt/QtProject-qtcreator.png\n
                                Categories=Qt;Development;Documentation;");
}

Component.prototype.installationFinished = function()
{
}

onUninstallationStarted = function()
{
    var argList = ["-rf", "@TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/tools/qtcreator/14.0.0.0"];
    installer.execute("rm",argList);
}
