function Component()
{
   installer.installationFinished.connect(this, Component.prototype.installationFinished);
}

Component.prototype.createOperationsForArchive = function(archive)
{
    component.addOperation("Extract", archive, "@TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/tools/qtterminal/2.0.1.5");
    component.addOperation("Mkdir", "@HomeDir@/.config/qterminal.org");
    var args = ["cp", "-rf", "@TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/tools/qtterminal/2.0.1.5/usr/share/qtermwidget6/color-schemes", "@HomeDir@/.config/qterminal.org/"];
    component.addOperation("Execute", args);
}

Component.prototype.createOperations = function() {
    component.createOperations();
    systemIntegration();
    Component.prototype.installationFinished();
}

function systemIntegration() {
        component.addOperation("CreateDesktopEntry",
                               "@HomeDir@/.local/share/applications/QtTerminal-2.0.1.5.desktop",
                               "Version=2.0.1.5\n
                                Type=Application\n
                                Terminal=false\n
                                Exec=bash @TargetDir@/enviroment.sh @TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/tools/qtterminal/2.0.1.5/usr/qterminal.sh\n
                                Name=QtTerminal 2.0.1.5\n
                                Icon=@TargetDir@/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot/opt/tools/qtterminal/2.0.1.5/usr/share/icons/hicolor/64x64/apps/qterminal.png\n
                                Categories=Development;");
}

Component.prototype.installationFinished = function()
{

}
